## ros-lunar-rosparam-shortcuts 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosparam_shortcuts)

# C++ 11
add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  cmake_modules
  eigen_conversions # TODO(davetcoleman) remove this dependency, only for build testing
  roslint
)

find_package(Eigen3 REQUIRED)

catkin_package(
  INCLUDE_DIRS
    include
    ${EIGEN3_INCLUDE_DIR}
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    roscpp
  DEPENDS
    EIGEN3
)

include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

###########
## Build ##
###########

add_library(${PROJECT_NAME}
  src/rosparam_shortcuts.cpp
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

## Example executable
add_executable(${PROJECT_NAME}_example src/example.cpp)
set_target_properties(${PROJECT_NAME}_example PROPERTIES OUTPUT_NAME example PREFIX "")
target_link_libraries(${PROJECT_NAME}_example
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Testing ##
#############

## Test for correct C++ source code
## To run: catkin bot --make-args roslint
roslint_cpp()

#############
## Install ##
#############

# Mark cpp header files for installation
install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_example
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

# Mark roslaunch files for installation
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  FILES_MATCHING PATTERN "*.launch"
  PATTERN ".svn" EXCLUDE
)

# Mark config files for installation
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  FILES_MATCHING PATTERN "*.yaml"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-lunar-rosparam-shortcuts (0.2.1-0stretch) stretch; urgency=high

  * Fix Eigen3 include
  * Fix C++11 compiling method
  * Update Travis for Kinetic
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 27 Sep 2016 21:00:00 -0000

ros-lunar-rosparam-shortcuts (0.2.0-0stretch) stretch; urgency=high

  * Upgrade to Eigen3 per ROS Kinetic requirements
  * Converted to C++11 for ROS Kinetic
  * Removed deprecated functions
  * Improve documentation
  * fix typo
  * Added loading a vector to example
  * Contributors: Dave Coleman, Sammy Pfeiffer

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 28 Jun 2016 21:00:00 -0000

ros-lunar-rosparam-shortcuts (0.1.1-0stretch) stretch; urgency=high

  * Fixed CMake build
  * Ran roslint
  * Ran catkin lint
  * Updated example
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 17 Dec 2015 21:00:00 -0000

ros-lunar-rosparam-shortcuts (0.1.0-0stretch) stretch; urgency=high

  * Deprecated long named functions in favor of short named functions
  * Removed redundant unsigned int function
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 16 Dec 2015 21:00:00 -0000

ros-lunar-rosparam-shortcuts (0.0.7-0stretch) stretch; urgency=high

  * Added shortcut version of functions
  * Fix install
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 12 Dec 2015 21:00:00 -0000

ros-lunar-rosparam-shortcuts (0.0.6-0stretch) stretch; urgency=high

  * Added example code
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 09 Dec 2015 21:00:00 -0000

ros-lunar-rosparam-shortcuts (0.0.5-0stretch) stretch; urgency=high

  * Attempting to fix Eigen
  * Fix missing dependency
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 08 Dec 2015 21:00:00 -0000

ros-lunar-rosparam-shortcuts (0.0.4-0stretch) stretch; urgency=high

  * Attempt to fix Eigen include dir
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 06 Dec 2015 21:00:00 -0000

ros-lunar-rosparam-shortcuts (0.0.3-0stretch) stretch; urgency=high

  * Added travis support
  * catkin lint cleanup
  * Switched travis to jade branch
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 04 Dec 2015 21:00:00 -0000

ros-lunar-rosparam-shortcuts (0.0.2-0stretch) stretch; urgency=high

  * Initial release
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 21:00:00 -0000

=== debian/control ===
Source: ros-lunar-rosparam-shortcuts
Section: misc
Priority: extra
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-eigen-conversions, ros-lunar-roscpp, ros-lunar-roslint
Homepage: https://github.com/davetcoleman/rosparam_shortcuts
Standards-Version: 3.9.2

Package: ros-lunar-rosparam-shortcuts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-lunar-roscpp
Description: Quickly load variables from rosparam with good command line error checking.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rosparam-shortcuts//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
